MINOVAES - PRODUCT - Feature #1587
[Widget] - Absensi
09/13/2022 11:26 AM - Fiona Avangeline Jonathan

Status: Closed Start date: 08/08/2022
Priority: Urgent Due date:

Assignee: Fiona Avangeline Jonathan % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 5.00 hours
Description

Mang Wanto,

Berikut desain untuk widget Absensi.

Normal v

Clock Out —e Screen Normal ketika belum ada clock infclock out

Clock In

Clock In
Clock Out:

Normal v

Clock Out

—- Soreen letika sudah clock in, data clock in tercatat

Clock In :07.59 AM
Clock Out:

Normal v

—pe Screen ketika sudah clock out, data clock in dan
clock out tercatat

Clock In :07.59 AM
Clock Qut: 05.20 PM

Mohon dibantu buatkan widget sesuai desain diatas untuk absensi karyawan. Pastikan data koordinat nya tercatat walaupun tidak di
show.
Terima kasih.

Port: http://demo.minovais.com:61124/Account/Login
Login: fiona, 123Aa

History

#1 - 09/13/2022 11:26 AM - Fiona Avangeline Jonathan
- File clipboard-202209131126-jrc1i.png added

#2 - 09/13/2022 11:27 AM - Fiona Avangeline Jonathan

- Status changed from New to Assigned
http://demo.minovais.com:61124/Account/Login

#3 - 09/13/2022 11:32 AM - Fiona Avangeline Jonathan

- Description updated

#4 - 09/23/2022 07:09 PM - Saswanto Tampan
- Status changed from Assigned to QA Test

- Assignee changed from Saswanto Tampan to Fiona Avangeline Jonathan

#5 - 09/26/2022 10:07 AM - Fiona Avangeline Jonathan
- File clipboard-202209261005-jzx4n.png added

- File clipboard-202209261006-dqtrb.png added

- Status changed from QA Test to Revise

- Assignee changed from Fiona Avangeline Jonathan to Saswanto Tampan

Mang Wanto,

Untuk widget absensi sudah bisa berjalan dan data sudah masuk ke DB (PHRPA0019).

T e e

'WIN-6PEH5TRPCM...MESSAGECATALOG

Column Alias Table Qutp... Sort Type Sort Order Filter Or... Or... Or...
» StartDate PHRPADO1S = ‘2022092
EnDate oHRPAGOS
EmployeelD PHRPADDS = 10000148
StartDate EndDate EmployeelD StartTime EndTime AttendanceType Notes CreateBy CreateDate ChangeBy ChangeDate AuditorFlag
» 20220926 20220926 10000148 0937 0947 1000 NULL 10000148 20220926093708 10000148 20220026004708  NULL
* NULL NULL NULL NULL NULL NULL MNULL NULL NULL NULL NULL NULL

Namun ketika clock in / clock out muncul pop up seperti ini

Object reference not set 1o an instance of an object.

[ ox |

Mohon diganti pop up message nya menjadi "Clock In sukses dilakukan" dan "Clock Out sukses dilakukan”.

Terima kasih.

#6 - 09/26/2022 11:09 AM - Fiona Avangeline Jonathan
- File clipboard-202209261109-wrkiz.png added

Mang Wanto,
Mohon dibantu juga untuk widget absensi belum membaca attendance type, masih secara default 1000 walaupun memilih attendance type 3000.

WIN-6PEHSTRPCMH...- dbo.PHRPADDTS 3¢ INEGE = ey |late | o BTN iy Y= | WIN-6PEH5TRPCM.. . MESSAGECATALOG

WIN-6PEH5TRPCM...dbo. PHRTMATTTYP

Column Alias Table Outp... Sort Type Sort Order Filter Or... Or... Or... 2
» StartDate PHRPADDTS
EndDate PHRPAODTS
EmployeelD PHRPADDTS = '10000156'
StartTime PHRPAODTS
[ |, S, M INNA A —a v
StartDate EndDate EmployeelD StartTime EndTime AttendanceType MNotes CreateBy CreateDate ChangeBy Cha
> 20220926 20220926 10000156 1106 1000 NULL 10000156 2022052611065 10000156 2022
® NULL NULL NULL NULL NULL MULL NULL NULL MNULL MNULL NULY
Terima kasih.
#7 - 09/27/2022 09:43 AM - Fiona Avangeline Jonathan
- File clipboard-202209270943-r8jsm.png added
Mang Wanto,
Sesuai diskusi kemarin dengan Pak Heriyas, mohon ditambahkan running hours di setiap tombol clock in/clock out. Jika sudah di klik tombol nya, jam
nya akan otomatis berhenti. Tolong tambahkan juga keterangan hari dan tanggal dibawah pilihan attendance type.

Terima kasih.

Attendance: MNormal
[ | Hari dan
Tanggal

Running Hours

#8 - 11/09/2022 02:56 PM - Saswanto Tampan
- Status changed from Revise to QA Test

- Assignee changed from Saswanto Tampan to Fiona Avangeline Jonathan

update file pada API 2

MinovalS.MinovaES.Web.Api.V.1.dll
MinovalS.MinovaES.Business. TM.dII

UPDATE WidgetFunction pada table PCUSTFEATURE :
0002 WidgetAbsensi 1 20170101 99991231 6 1

Update CUSTPARAM GETATTREADY

#9 - 11/10/2022 09:46 AM - Fiona Avangeline Jonathan
- File clipboard-202211100944-brg3c.png added

- File clipboard-202211100944-cbo0i.png added

- Status changed from QA Test to Revise

- Assignee changed from Fiona Avangeline Jonathan to Saswanto Tampan

Mang Wanto,

Untuk attendance type nya sudah terbaca, sbg contoh dipilih Dinas di DB sudah menyimpan attendance type 2000.

StartDate EndDate EmployeelD StartTime EndTime AttendanceType
20221110 10000148 0841 0942 2000

1. Mohon dibantu untuk tampilan di Ul nya, ketika sukses clock in/clock out perlu di refresh terlebih dahulu baru data jam nya muncul dibawah
tulisan clock in/clock out nya. Mohon dibuat agar langsung muncul.
ABSENSI -

Attendance:

2. Untuk penambahan keterangan hari dan tanggal di atas tombol clock in/clock out mohon dibantu ya mang.

Terima kasih.

Dinas

Note: Untuk request running hour di dalam kotak clock in/clock out tidak bisa diakomodir karena yang tersimpan di DB hanya jam dan menit. Jika

running hour dibuat jam dan menit saja maka bisa jadi membingungkan karena tidak terlihat perubahan jam dan menit nya.

#10 - 11/10/2022 11:29 AM - Saswanto Tampan

- Assignee changed from Saswanto Tampan to Fiona Avangeline Jonathan
coba lagi

#11 - 11/10/2022 02:39 PM - Fiona Avangeline Jonathan
- File clipboard-202211101325-vipj4.png added

- Status changed from Revise to Closed

Sudah ok, terima kasih Mang.

_

Attendance: Dinzs

Kamis, 10 November 2022

Sudah diupdate juga ke port product dan silver package.
